%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate prometheus-client-derive-encode

Name:           rust-prometheus-client-derive-encode
Version:        0.4.2
Release:    1%{?dist}
Summary:        Auxiliary crate to derive Encode trait from prometheus-client

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/prometheus-client-derive-encode
Source0:        %{crates_source}
Source1:        https://github.com/prometheus/client_rust/raw/v0.19.0/LICENSE-APACHE
Source2:        https://github.com/prometheus/client_rust/raw/v0.19.0/LICENSE-MIT

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Auxiliary crate to derive Encode trait from prometheus-client.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jul 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-1
- initial build
